Bug 55946 - FILEOPEN: Word document with multiple objects/frames on cover page formatted wrong
Summary: FILEOPEN: Word document with multiple objects/frames on cover page formatted ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:doc, preBibisect, regression
: 85309 (view as bug list)
Depends on:
Blocks: DOC-Frames DOC-Images
  Show dependency treegraph
 
Reported: 2012-10-13 09:01 UTC by Kalle Tuulos
Modified: 2018-10-02 08:33 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Zip containing PDF presenting how the Word document should look like (2.85 MB, application/zip)
2012-10-13 09:08 UTC, Kalle Tuulos
Details
Side-by-side screenshots of how a cover page looks in Word and LibreOffice. (228.28 KB, image/png)
2012-10-30 20:21 UTC, Linus Drumbler
Details
image showing how the page looks (~fine) in LO 3304 (17.98 KB, image/png)
2016-09-13 15:02 UTC, Cor Nouws
Details
LO 5.1.5.2 screendump (156.96 KB, image/png)
2016-09-14 06:44 UTC, Kalle Tuulos
Details
Screen capture from Libre Office 5.3.4.2 (171.25 KB, image/png)
2017-07-19 08:11 UTC, Kalle Tuulos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kalle Tuulos 2012-10-13 09:01:00 UTC
3GPP documentation is a good example of Word documents, which are not at all comfortable to read with LibreOffice (or OpenOffice - this error has been there "always").

Attached is 3GPP specification 25.133 v11.2.0 as both original Word document and as PDF, which is exported from MS Word 2010. The original Word document can also be fetched from here: http://www.3gpp.org/ftp/Specs/2012-09/Rel-11/25_series/25133-b20.zip

If the Word document is opened in any MS Word installation (in almost any computer, with almost any Word version), the document looks the same. Cover page looks good, page numbers stay the same. The attached PDF represents how the document should look like.

But when the same document is opened in LibreOffice (for example 3.6.1.2, Build ID e29a214), the cover page formatting is messed up, and also other pages are formatted slightly differently. This causes e.g. page numbers to run slightly differently than in Word. I remember that these formatting problems have appeared always in all OpenOffice versions, with all 3GPP documents. Thus it is not comfortable to read 3GPP documents with LibreOffice and companies working with 3GPP related development have to stick with MS Word.

The attached ZIP file (25133-b20.zip) contains following:
- 3GPP specification document in both original Word format
- PDF document created with MS Word showing how the document should look like
Comment 1 Kalle Tuulos 2012-10-13 09:06:45 UTC
The attachment file was too large, so I had to take out the original Word document from the attachment and store only the PDF file. The original Word document is stored in 3GPP website, here: http://www.3gpp.org/ftp/Specs/2012-09/Rel-11/25_series/25133-b20.zip
Comment 2 Kalle Tuulos 2012-10-13 09:08:35 UTC
Created attachment 68513 [details]
Zip containing PDF presenting how the Word document should look like
Comment 3 Linus Drumbler 2012-10-30 20:21:41 UTC
Created attachment 69332 [details]
Side-by-side screenshots of how a cover page looks in Word and LibreOffice.

Reproduced with Windows 7 and version 3.6.2.2, see attachment. I was actually thinking about submitting this bug a while ago.
Comment 4 Linus Drumbler 2012-10-30 22:39:11 UTC
Changing status to new.
Comment 5 Linus Drumbler 2013-01-06 00:03:00 UTC
I think I'll go increase this in severity. A good portion of the Word documents out there use cover pages, and it's a serious bug that LibreOffice can't use them.
Comment 6 Linus Drumbler 2013-01-21 20:19:26 UTC
This lack of cover page support has prevented me from making a complete switch to LO.
Comment 7 Petr Mladek 2013-01-23 15:08:26 UTC
It is rather a feature request.
Comment 8 Linus Drumbler 2013-01-23 20:20:06 UTC
Alright; I've changed its severity.
Comment 9 Cédric Bosdonnat 2014-01-20 08:57:48 UTC
Restricted my LibreOffice hacking area
Comment 10 Anders Ripa 2014-01-30 19:58:26 UTC
The problem with 3GPP files still exist in current version, another example
is http://www.3gpp.org/ftp/Specs/archive/33_series/33.102/33102-b00.zip
Comment 11 tommy27 2014-10-22 16:21:17 UTC
*** Bug 85309 has been marked as a duplicate of this bug. ***
Comment 12 tommy27 2014-10-22 16:22:36 UTC
tested under Win7x64.

bug not present in LibO 3.3.4
bug present in LibO 3.4.3 and following releases including 4.3.2 and recent 4.4.x master.

compare screenshots in attachment 108217 [details]

edited version field
Comment 13 Robinson Tryon (qubit) 2015-12-10 01:26:40 UTC Comment hidden (obsolete)
Comment 14 Jean-Baptiste Faure 2016-04-15 10:44:06 UTC
According to comment #12, this is not an enhancement request.

In LO 5.1.3.0.0+, I see 279 pages instead of 277 in the pdf. Nothing that prevent to work with this document. The only real problem is the cover page which is messed up. Same problem in current master.
Tested under Ubuntu 15.10 x86-64.

Best regards. JBF
Comment 15 Xisco Faulí 2016-09-13 10:55:04 UTC
This regression was introduced before branch 4.4, thus it can't be bibisected with the current bibisect repositories. Changing keyword 'notBibisectable' to 'preBibisect'
Comment 16 Cor Nouws 2016-09-13 15:02:53 UTC
Created attachment 127298 [details]
image showing how the page looks (~fine) in LO 3304
Comment 17 Kalle Tuulos 2016-09-14 06:44:01 UTC
Created attachment 127326 [details]
LO 5.1.5.2 screendump

Created a new attachment showing the document cover page on Libre Office writer, version 5.1.5.2. The problem still exists, sorry.
Comment 18 Kalle Tuulos 2017-07-19 08:11:14 UTC
Created attachment 134726 [details]
Screen capture from Libre Office 5.3.4.2

Just bumping this up with a new screen capture from LibreOffice 5.3.4.2.
The error exists still.
Comment 19 QA Administrators 2018-10-02 02:52:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug